import { jsx } from "react/jsx-runtime";
import { ArrowUUpLeft as ArrowUUpLeft$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ArrowUUpLeft = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ArrowUUpLeft", ...props, children: /* @__PURE__ */ jsx(ArrowUUpLeft$1, { weight: variant }) });
  }
);
ArrowUUpLeft.displayName = "ArrowUUpLeft";
Object.assign(ArrowUUpLeft, { isGdsIcon: true });
export {
  ArrowUUpLeft
};
